=== debian/control ===
Source: ros-noetic-moveit-ros-perception
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libeigen3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-image-transport, ros-noetic-message-filters, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-occupancy-map-monitor, ros-noetic-moveit-ros-planning, ros-noetic-nodelet, ros-noetic-object-recognition-msgs, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rosunit <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-noetic-cv-bridge, ros-noetic-image-transport, ros-noetic-message-filters, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-occupancy-map-monitor, ros-noetic-moveit-ros-planning, ros-noetic-nodelet, ros-noetic-object-recognition-msgs, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-urdf
Description: Components of MoveIt connecting to perception
